RathRath Finance
API Reference

Get Transaction Status

Track the execution status of a swap or bridge transaction submitted through xPath.

GET
/status

Query Parameters

txHash*string

Transaction hash to look up. Pass the source-chain transaction hash for the route you want to track.

fromChain*integer

Source chain ID for the transaction being tracked. Pass the chain where the submitted source transaction hash was created.

Formatint64
Range0 <= value
userAddress?|

Optional wallet address to scope the status lookup to the user who initiated the route.

Response Body

application/json

curl -X GET "https://api.xpath.rath.fi/status?txHash=string&fromChain=0"
{
  "code": 0,
  "data": {
    "destTxDetails": {
      "chainId": 0,
      "chainLogo": "string",
      "timestamp": 0,
      "txHash": "string"
    },
    "details": null,
    "kind": "string",
    "provider": {
      "key": "string",
      "name": "string"
    },
    "routeKind": "string",
    "srcTxDetails": {
      "chainId": 0,
      "chainLogo": "string",
      "timestamp": 0,
      "txHash": "string"
    },
    "status": "string",
    "swapId": "string",
    "tachyonTxId": "string",
    "updatedAtMs": 0,
    "fromToken": {},
    "toToken": {}
  },
  "message": "string"
}
Empty
Empty